Description

Hi, just lost bunch of data (maybe they are buried somewhere in DB, or at least, we have DB backup :).

What happened:

I just moved lot of issues by mass-moving them from one project to another.

I have defined custom fields in source project. These custom fields were defined not for "all projects" but only for specific ones -

in this case, (ticket) custom fields were enabled only for source project and (by my mistake) not for destination project

I moved all issues by multiple edit feature.

And voila, all custom fields disappeared in new (destination) project, because there were not enabled for that project

So I enabled these custom fields also for the new (destination) projects, so now they are available, but data from these fields

was lost. I didn't examined how exactly RM is behaving in this case - if values of custom fields were deleted or if they are buried

somewhere in DB.

Anyway I think that solution can be very easy - when moving issues from one project to another (or tracker, etc.), and when

there are not defined all custom fields in destination project/tracker, there should be some very clear/bright warning, something

like "Hey dude, you are moving tickets to project/tracker where not of all currently used custom fields are defined/available, so

you loose some data!" ...and if possible, list of there custom fields.

This will warn user so he/she can fix it before loosing data, like me :)

Or any other ideas, how to handle this situation?

PS: I'm describing only mass-ticket-update scenario, probably the same will be valid for single ticket copy/move

Related issues:

Related to Redmine - Feature #21623: Journalize values that are cleared after... Closed

Related to Redmine - Defect #11731: Custom fields values are lost when changi... Needs feedback

Associated revisions

Revision 16224 - 2017-01-18 15:49 - Jean-Philippe Lang

Add warning when loosing data from custom fields when bulk editing issues (#22600).

Revision 16225 - 2017-01-18 15:52 - Jean-Philippe Lang

Adds :warning_fields_cleared_on_bulk_edit string to locales (#22600).

History

#1 - 2016-04-24 10:20 - Go MAEDA

- Related to Feature #21623: Journalize values that are cleared after project or tracker change added

#2 - 2016-04-24 10:24 - Go MAEDA

- Related to Defect #11731: Custom fields values are lost when changing the project on issue update added

#3 - 2016-05-21 05:38 - Toshi MARUYAMA

- Description updated

#4 - 2016-05-21 05:39 - Toshi MARUYAMA

- Description updated

#5 - 2016-05-21 05:40 - Toshi MARUYAMA
- Description updated

#6 - 2017-01-18 15:52 - Jean-Philippe Lang

- Subject changed from Add warning when loosing data from custom fields when moving tickets between projects to Add warning when loosing data

from custom fields when bulk editing issues

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 3.4.0

- Resolution set to Fixed

Feature added in r16224 on bulk edit. I don't think it's required when editing a single issue as we clearly see the changes that are happening when

changing the project or tracker of the issue, which is not the case when bulk editing.
